<?xml version="1.0" encoding="UTF-8"?>
<!-- a prototype extension schema to add extended metadata to VODataService
tablesets as per vs:BaseParam's authorisation to add any non-namespace
attributes.

Once we've worked out which of these are useful, they ought to be added
to VODataService, and we ought to get rid or the namespaced attributes again.

This is *not* intended to turn into a permanent Registry extension.
-->

<xs:schema
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://dc.g-vo.org/ColStats-1"
	xmlns="http://dc.g-vo.org/ColStats-1"
	attributeFormDefault="qualified">
	
	<xs:attribute name="min-value">
	  <xs:annotation>
      <xs:documentation>
      	The smallest value found in the column in VOTable TABLEDATA
      	serialisation.
      </xs:documentation>
      <xs:documentation>
      	There are no guarantees that the column does not
      	contain smaller values; services may choose to only sample
      	a reasonable subset of large tables, or to only now and
      	then re-analyse evolving tables.
      </xs:documentation>
   </xs:annotation>
	  <xs:simpleType>
		<xs:restriction base="xs:string"/>
	  </xs:simpleType>
	</xs:attribute>

	<xs:attribute name="max-value">
	  <xs:annotation>
      <xs:documentation>
      	The largest value found in the column in VOTable TABLEDATA
      	serialisation.
      </xs:documentation>
      <xs:documentation>
      	There are no guarantees that the column does not
      	contain larger values; services may choose to only sample
      	a reasonable subset of large tables, or to only now and
      	then re-analyse evolving tables.
      </xs:documentation>
   </xs:annotation>
	  <xs:simpleType>
		<xs:restriction base="xs:string"/>
	  </xs:simpleType>
	</xs:attribute>

	<xs:attribute name="percentile03">
	  <xs:annotation>
      <xs:documentation>
      	An estimate for the value in the 3rd percentile of the column's
      	distribution in VOTable TABLEDATA serialisation.
      </xs:documentation>
      <xs:documentation>
      	This can be an interpolated value, i.e., the value is not guaranteed
      	to be present in the table.
      </xs:documentation>
   </xs:annotation>
	  <xs:simpleType>
		<xs:restriction base="xs:string"/>
	  </xs:simpleType>
	</xs:attribute>

	<xs:attribute name="median">
	  <xs:annotation>
      <xs:documentation>
      	An estimate for the median value of the column's
      	distribution in VOTable TABLEDATA serialisation.
      </xs:documentation>
      <xs:documentation>
      	This can be an interpolated value, i.e., the value is not guaranteed
      	to be present in the table.
      </xs:documentation>
   </xs:annotation>
	<xs:simpleType>
		<xs:restriction base="xs:string"/>
	  </xs:simpleType>
	</xs:attribute>

	<xs:attribute name="percentile97">
	  <xs:annotation>
      <xs:documentation>
      	An estimate for the value in the 97th percentile of the column's
      	distribution in VOTable TABLEDATA serialisation.
      </xs:documentation>
      <xs:documentation>
      	This can be an interpolated value, i.e., the value is not guaranteed
      	to be present in the table.
      </xs:documentation>
   </xs:annotation>
	  <xs:simpleType>
		<xs:restriction base="xs:string"/>
	  </xs:simpleType>
	</xs:attribute>

	<xs:attribute name="fillFactor">
	  <xs:annotation>
      <xs:documentation>
      	An estimate for the ratio of non-NULL values in this column
      	to the number of rows in the table.
      </xs:documentation>
   </xs:annotation>
	  <xs:simpleType>
		<xs:restriction base="xs:double"/>
	  </xs:simpleType>
	</xs:attribute>

</xs:schema>
